aboutsummaryrefslogtreecommitdiff
path: root/t
diff options
context:
space:
mode:
authorJunio C Hamano <gitster@pobox.com>2024-12-28 12:20:34 -0800
committerJunio C Hamano <gitster@pobox.com>2024-12-28 12:20:35 -0800
commit306ab352f4e98f6809ce52fc4e5d63fb947d0635 (patch)
tree78a3d335a8f44c9fa399d363633c0a96b1da9bdd /t
parentdf2faf1a65fc821384e618b3c291a184fbed039e (diff)
parentd963ac98ec94fd2003722a794f0168a70ea1b815 (diff)
downloadgit-306ab352f4e98f6809ce52fc4e5d63fb947d0635.tar.xz
Merge branch 'ps/meson-test-wo-gitweb'
meson-based build without GitWeb failed the self tests. * ps/meson-test-wo-gitweb: meson: enable auto-discovered "gitweb" GIT-BUILD-OPTIONS: wire up NO_GITWEB option GIT-BUILD-OPTIONS: sort variables alphabetically
Diffstat (limited to 't')
-rw-r--r--t/lib-gitweb.sh5
-rw-r--r--t/test-lib.sh1
2 files changed, 6 insertions, 0 deletions
diff --git a/t/lib-gitweb.sh b/t/lib-gitweb.sh
index 7f9808ec20..a6e3dd11b3 100644
--- a/t/lib-gitweb.sh
+++ b/t/lib-gitweb.sh
@@ -105,6 +105,11 @@ if ! test_have_prereq PERL; then
test_done
fi
+if ! test_have_prereq GITWEB; then
+ skip_all='skipping gitweb tests, gitweb not available'
+ test_done
+fi
+
perl -MEncode -e '$e="";decode_utf8($e, Encode::FB_CROAK)' >/dev/null 2>&1 || {
skip_all='skipping gitweb tests, perl version is too old'
test_done
diff --git a/t/test-lib.sh b/t/test-lib.sh
index 62dfcc4aaf..1a67adb207 100644
--- a/t/test-lib.sh
+++ b/t/test-lib.sh
@@ -1687,6 +1687,7 @@ esac
( COLUMNS=1 && test $COLUMNS = 1 ) && test_set_prereq COLUMNS_CAN_BE_1
test -z "$NO_CURL" && test_set_prereq LIBCURL
+test -z "$NO_GITWEB" && test_set_prereq GITWEB
test -z "$NO_ICONV" && test_set_prereq ICONV
test -z "$NO_PERL" && test_set_prereq PERL
test -z "$NO_PTHREADS" && test_set_prereq PTHREADS